> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get job status of bulk creation of new vault accounts

> Returns the current status of (or error for) the specified vault account bulk creation job.

**Endpoint Permissions:** Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /vault/accounts/bulk/{jobId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /vault/accounts/bulk/{jobId}:
    get:
      tags:
        - Vaults
      summary: Get job status of bulk creation of new vault accounts
      description: >
        Returns the current status of (or error for) the specified vault account
        bulk creation job.


        **Endpoint Permissions:** Admin, Non-Signing Admin, Signer, Approver,
        Editor, Viewer.
      operationId: getCreateMultipleVaultAccountsJobStatus
      parameters:
        - in: path
          name: jobId
          required: true
          description: The ID of the job to create addresses
          schema:
            type: string
          example: 019681b4-107d-7243-942d-4c3c30e36fae
      responses:
        '200':
          description: A Job with status
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateMultipleVaultAccountsJobStatus'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<CreateMultipleVaultAccountsJobStatus>> =
            fireblocks.vaults.getCreateMultipleVaultAccountsJobStatus(vaultsApiGetCreateMultipleVaultAccountsJobStatusRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<CreateMultipleVaultAccountsJobStatus>>
            response =
            fireblocks.vaults().getCreateMultipleVaultAccountsJobStatus(jobId);
        - lang: Python
          source: >-
            response =
            fireblocks.vaults.get_create_multiple_vault_accounts_job_status(job_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    CreateMultipleVaultAccountsJobStatus:
      type: object
      properties:
        status:
          type: string
          description: >-
            Status of the job. Possible values - Success, In Progress, Failed,
            Pending Approval, Cancelled
          example: Success
        vaultAccounts:
          type: object
          description: Mapping between VaultAccountId to a mapping of asset to address
          additionalProperties:
            type: object
            description: Mapping between asset (key) to address (value)
            additionalProperties:
              type: string
          example:
            '0':
              BTC_TEST: bcrt1qs0zzqytuw49w2jqkmfhzgdh2lylzde2uw4zncz
              ETH_TEST: '0x460395Edb2338023c6f137259C6e20B6C37dDE95'
        tagIds:
          description: >-
            List of tag IDs successfully attached to each of the created vault
            accounts
          type: array
          items:
            type: string
            format: uuid
          example:
            - a1b2c3d4-e5f6-7890-abcd-ef1234567890
            - b2c3d4e5-f6a7-8901-bcde-f12345678901
        errorMessage:
          type: string
          example: Asset not supported
        approvalRequestId:
          description: >-
            Approval request ID if the job has protected tags to attach to the
            vault accounts
          type: string
          example: '12345'
      required:
        - status
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````